Railsインストール時にnokogiriでこける原因

AWS環境のEC2インスタンス(AmazonLinux)にRails環境を構築する際、依存パッケージであるnokogiriのインストール時にlibxml2が無いよって言われて少しハマったのでメモ。

こんなエラーが出て、全部読み切る前に

Building Nokogiri with a packaged version of libxml2-2.9.2

あたりをググったりしてたんですけど、エラーメッセージに解決策書いてたっていう話。

で正常終了。

続いてRailsもエラー無く通りました。

まとめ

  • エラーメッセージはちゃんと読もう